org.apache.ignite.internal.binary

## Interface BinaryObjectEx

All Superinterfaces:
  BinaryObject, Cloneable, Serializable

All Known Implementing Classes:
  BinaryEnumObjectImpl, BinaryObjectExImpl, BinaryObjectImpl, BinaryObjectOffheapImpl

    public interface BinaryObjectEx
    extends BinaryObject

Extended binary object interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isFlagSet(short flag)` Check if flag set.
`BinaryType` `rawType()` Get raw type.
`int` `typeId()`

### Methods inherited from interface org.apache.ignite.binary.BinaryObject

`clone, deserialize, enumName, enumOrdinal, field, hasField, toBuilder, type`

### Method Detail

#### typeId

    int typeId()

Returns:
  Type ID.

#### rawType

    @Nullable
    BinaryType rawType()
                          throws BinaryObjectException

Get raw type.

Returns:
  Raw type
Throws:
  `BinaryObjectException` - If failed.

#### isFlagSet

    boolean isFlagSet(short flag)

Check if flag set.

Parameters:
  `flag` - flag to check.
Returns:
  `true` if flag is set, `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019